<?php
/**
 * htf_com_define.inc
 *
 * htf共通定数保有ファイル
 *
 * @package HtmlTemplateFramework
 * @subpackage common
 * @access  public
 * @author    Yamauchi Shogo <htf@as-prj.com>
 * @version $Id: htf_com_define.inc ,v 1.0 $;
 **/

///////////////////////////////////
//製品名定義
///////////////////////////////////
/**
 * 製品名定義
 **/
define('HTF_PRODUCT_NAME','HtmlTemplateFramework');

///////////////////////////////////
//設定ファイル名定義
///////////////////////////////////
/**
 * htf環境設定ファイル名定義
 **/
define('HTF_CONF_FNAME','htfconf.xml');
/**
 * htfフレーム設定ファイル名定義
 **/
define('HTF_FRM_FNAME','framedef.xml');
/**
 * htf管理OS/ブラウザ別CSSファイル名設定ファイル名定義
 **/
define('HTF_CSS_FNAME','cssdef.xml');

///////////////////////////////////
//OS
///////////////////////////////////
/**
 * OS名定義(Windows)
 **/
define('HTF_OS_WIN', 'Windows');
/**
 * OS名定義(Macintosh)
 **/
define('HTF_OS_MAC', 'Macintosh');
/**
 * OS名定義(その他)
 **/
define('HTF_OS_OTHERS', 'Others');

///////////////////////////////////
//browser
///////////////////////////////////
/**
 * ブラウザ名定義(InternetExplorer)
 **/
define('HTF_BROWSER_MSIE', 'MSIE');
/**
 * ブラウザ名定義(NetscapeNavigator)
 **/
define('HTF_BROWSER_NN', 'Netscape');
/**
 * ブラウザ名定義(FireFox)
 **/
define('HTF_BROWSER_FF', 'Firefox');
/**
 * ブラウザ名定義(その他)
 **/
define('HTF_BROWSER_OTHERS', 'Others');
/**
 * パラメータ設定デリミタ定義
 **/
define('HTF_PARAM_DELIM', ',');
/**
 * イメージスワップJavaScriptファイル名定義
 **/
define('HTF_MM_SWAP_JS', 'mm_swap.js');

///////////////////////////////////
// 各種設定ファイル要素名・属性名
///////////////////////////////////
//////////////////////
//htfconf.xml
//////////////////////
//---要素名---
/**
 * htfconf.xml ルート要素名定義
 **/
define('HTF_CONF_XML_HTFCONF','htfconf');
/**
 * htfconf.xml 大文字・小文字指定要素名定義
 **/
define('HTF_CONF_XML_ITEMCASE','itemcase');
/**
 * htfconf.xml 内部エンコード指定要素名定義
 **/
define('HTF_CONF_XML_INTERNAL_ENCODING','internal_encoding');
/**
 * htfconf.xml htf管理イメージパス指定要素名定義
 **/
define('HTF_CONF_XML_IMAGEPATH','imagepath');
/**
 * htfconf.xml htf管理CSSパス指定要素名定義
 **/
define('HTF_CONF_XML_CSSPATH','csspath');
/**
 * htfconf.xml htf管理JavaScriptパス指定要素名定義
 **/
define('HTF_CONF_XML_JSPATH','jspath');
/**
 * htfconf.xml htf管理ルートパス指定要素名定義
 **/
define('HTF_CONF_XML_ROOTPATH','rootpath');
//---属性値名---
/**
 * htfconf.xml 大文字・小文字指定要素->エレメント属性名定義
 **/
define('HTF_ATTR_ITEMCASE_ELEMENT','element');
/**
 * htfconf.xml 大文字・小文字指定要素->アトリビュート属性名定義
 **/
define('HTF_ATTR_ITEMCASE_ATTRIBUTE','attribute');
/**
 * htfconf.xml 内部エンコード指定要素->エンコード判別属性名定義
 **/
define('HTF_ATTR_INTERNAL_ENCODING_DISTINCT','distinct');
/**
 * htfconf.xml 内部エンコード指定要素->エンコード種類属性名定義
 **/
define('HTF_ATTR_INTERNAL_ENCODING_ENCODE','encode');
/**
 * htfconf.xml htf管理イメージパス指定要素->パス属性名定義
 **/
define('HTF_ATTR_IMAGEPATH_PATH','path');
/**
 * htfconf.xml htf管理CSSパス指定要素->パス属性名定義
 **/
define('HTF_ATTR_CSSPATH_PATH','path');
/**
 * htfconf.xml htf管理JavaScriptパス指定要素->パス属性名定義
 **/
define('HTF_ATTR_JSPATH_PATH','path');
/**
 * htfconf.xml htf管理ルートパス指定要素->パス属性名定義
 **/
define('HTF_ATTR_ROOTPATH_PATH','path');
//--置換タグ名--
/**
 * htf管理イメージパス置換タグ定義
 **/
define('HTF_REPLACE_HTF_IMAGEPATH', '%HTF_IMAGEPATH%');
/**
 * htf管理CSSパス置換タグ定義
 **/
define('HTF_REPLACE_HTF_CSSPATH', '%HTF_CSSPATH%');
/**
 * htf管理JavaScriptパス置換タグ定義
 **/
define('HTF_REPLACE_HTF_JSPATH', '%HTF_JSPATH%');
/**
 * htf管理ルートパス置換タグ定義
 **/
define('HTF_REPLACE_HTF_ROOTPATH', '%HTF_ROOTPATH%');
/**
 * htfフレーム管理イメージパス置換タグ定義
 **/
define('HTF_REPLACE_FRAME_IMAGEPATH', '%FRAME_IMAGEPATH%');
/**
 * htfフレーム管理CSSパス置換タグ定義
 **/
define('HTF_REPLACE_FRAME_CSSPATH', '%FRAME_CSSPATH%');
/**
 * htfフレーム管理JavaScriptパス置換タグ定義
 **/
define('HTF_REPLACE_FRAME_JSPATH', '%FRAME_JSPATH%');
/**
 * htfフレーム管理ルートパス置換タグ定義
 **/
define('HTF_REPLACE_FRAME_ROOTPATH', '%FRAME_ROOTPATH%');

//////////////////////
//framedef.xml
//////////////////////

//---要素名---
/**
 * frmdef.xml ルート要素名定義
 **/
define('HTF_CONF_XML_FRAMECONFIG','frameconfig');
/**
 * frmdef.xml headconfig要素名定義
 **/
define('HTF_CONF_XML_HEADCONFIG','headconfig');
/**
 * frmdef.xml bodyconfig要素名定義
 **/
define('HTF_CONF_XML_BODYCONFIG','bodyconfig');
/**
 * frmdef.xml pageconfig要素名定義
 **/
define('HTF_CONF_XML_PAGECONFIG','pageconfig');
/**
 * frmdef.xml pageheader要素名定義
 **/
define('HTF_CONF_XML_PAGEHEADER','pageheader');
/**
 * frmdef.xml indexbar要素名定義
 **/
define('HTF_CONF_XML_INDEXBAR','indexbar');
/**
 * frmdef.xml leftarea要素名定義
 **/
define('HTF_CONF_XML_LEFTAREA','leftarea');
/**
 * frmdef.xml rightarea要素名定義
 **/
define('HTF_CONF_XML_RIGHTAREA','rightarea');
/**
 * frmdef.xml contentarea要素名定義
 **/
define('HTF_CONF_XML_CONTENTAREA','contentarea');
/**
 * frmdef.xml pagefooter要素名定義
 **/
define('HTF_CONF_XML_PAGEFOOTER','pagefooter');
//---属性値名---
//(pagearea)
/**
 * frmdef.xml pagearea系要素->type属性名定義
 **/
define('HTF_ATTR_PAGEAREA_TYPE','type');
/**
 * frmdef.xml pagearea系要素->text属性名定義
 **/
define('HTF_ATTR_PAGEAREA_TEXT','text');
/**
 * frmdef.xml pagearea系要素->includefile属性名定義
 **/
define('HTF_ATTR_PAGEAREA_INCLUDEFILE','includefile');
/**
 * frmdef.xml pagearea系要素->funcname属性名定義
 **/
define('HTF_ATTR_PAGEAREA_FUNCNAME','funcname');
/**
 * frmdef.xml pagearea系要素->param属性名定義
 **/
define('HTF_ATTR_PAGEAREA_PARAM','param');
/**
 * frmdef.xml pagearea系要素->align属性名定義
 **/
define('HTF_ATTR_PAGEAREA_ALIGN','align');
/**
 * frmdef.xml pagearea系要素->valign属性名定義
 **/
define('HTF_ATTR_PAGEAREA_VALIGN','valign');
/**
 * frmdef.xml pagearea系要素->height属性名定義
 **/
define('HTF_ATTR_PAGEAREA_HEIGHT','height');
/**
 * frmdef.xml pagearea系要素->width属性名定義
 **/
define('HTF_ATTR_PAGEAREA_WIDTH','width');
/**
 * frmdef.xml pagearea系要素->border属性名定義
 **/
define('HTF_ATTR_PAGEAREA_BORDER','border');
/**
 * frmdef.xml pagearea系要素->bordercolor属性名定義
 **/
define('HTF_ATTR_PAGEAREA_BORDERCOLOR','bordercolor');
/**
 * frmdef.xml pagearea系要素->bgcolor属性名定義
 **/
define('HTF_ATTR_PAGEAREA_BGCOLOR','bgcolor');
/**
 * frmdef.xml pagearea系要素->bgimage属性名定義
 **/
define('HTF_ATTR_PAGEAREA_BGIMAGE','bgimage');
/**
 * frmdef.xml pagearea系要素->fontcolor属性名定義
 **/
define('HTF_ATTR_PAGEAREA_FONTCOLOR','fontcolor');	
/**
 * frmdef.xml pagearea系要素->linkcolor属性名定義
 **/
define('HTF_ATTR_PAGEAREA_LINKCOLOR','linkcolor');	
/**
 * frmdef.xml pagearea系要素->visitedcolor属性名定義
 **/
define('HTF_ATTR_PAGEAREA_VISITEDCOLOR','visitedcolor');
/**
 * frmdef.xml pagearea系要素->activecolor属性名定義
 **/
define('HTF_ATTR_PAGEAREA_ACTIVECOLOR','activecolor');
/**
 * frmdef.xml pagearea系要素->hovercolor属性名定義
 **/
define('HTF_ATTR_PAGEAREA_HOVERCOLOR','hovercolor');
//(frameconfig)
/**
 * frmdef.xml frameconfig要素->doctype属性名定義
 **/
define('HTF_ATTR_HTMLCONFIG_DOCTYPE','doctype');
/**
 * frmdef.xml frameconfig要素->lang属性名定義
 **/
define('HTF_ATTR_HTMLCONFIG_LANG','lang');
/**
 * frmdef.xml frameconfig要素->browser_distinct_css属性名定義
 **/
define('HTF_ATTR_HTMLCONFIG_BROWSER_DISTINCT_CSS','browser_distinct_css');
/**
 * frmdef.xml frameconfig要素->imagepath属性名定義
 **/
define('HTF_ATTR_HTMLCONFIG_IMAGEPATH','imagepath');
/**
 * frmdef.xml frameconfig要素->csspath属性名定義
 **/
define('HTF_ATTR_HTMLCONFIG_CSSPATH','csspath');
/**
 * frmdef.xml frameconfig要素->jspath属性名定義
 **/
define('HTF_ATTR_HTMLCONFIG_JSPATH','jspath');
/**
 * frmdef.xml frameconfig要素->rootpath属性名定義
 **/
define('HTF_ATTR_HTMLCONFIG_ROOTPATH','rootpath');
//(headconfig)
/**
 * frmdef.xml headconfig要素->content_type属性名定義
 **/
define('HTF_ATTR_HEADCONFIG_CONTENT_TYPE','content_type');
/**
 * frmdef.xml headconfig要素->content_style_type属性名定義
 **/
define('HTF_ATTR_HEADCONFIG_CONTENT_STYLE_TYPE','content_style_type');
/**
 * frmdef.xml headconfig要素->content_script_type属性名定義
 **/
define('HTF_ATTR_HEADCONFIG_CONTENT_SCRIPT_TYPE','content_script_type');
/**
 * frmdef.xml headconfig要素->title属性名定義
 **/
define('HTF_ATTR_HEADCONFIG_TITLE','title');
/**
 * frmdef.xml headconfig要素->author属性名定義
 **/
define('HTF_ATTR_HEADCONFIG_AUTHOR','author');
/**
 * frmdef.xml headconfig要素->copyright属性名定義
 **/
define('HTF_ATTR_HEADCONFIG_COPYRIGHT','copyright');
/**
 * frmdef.xml headconfig要素->description属性名定義
 **/
define('HTF_ATTR_HEADCONFIG_DESCRIPTION','description');
/**
 * frmdef.xml headconfig要素->kwywords属性名定義
 **/
define('HTF_ATTR_HEADCONFIG_KEYWORDS','keywords');
/**
 * frmdef.xml headconfig要素->robots属性名定義
 **/
define('HTF_ATTR_HEADCONFIG_ROBOTS','robots');
/**
 * frmdef.xml headconfig要素->addheader属性名定義
 **/
define('HTF_ATTR_HEADCONFIG_ADDHEADER','addheader');
//(bodyconfig)
/**
 * frmdef.xml bodyconfig要素->bgcolor属性名定義
 **/
define('HTF_ATTR_BODYCONFIG_BGCOLOR','bgcolor');
/**
 * frmdef.xml bodyconfig要素->bgimage属性名定義
 **/
define('HTF_ATTR_BODYCONFIG_BGIMAGE','bgimage');
/**
 * frmdef.xml bodyconfig要素->margin属性名定義
 **/
define('HTF_ATTR_BODYCONFIG_MARGIN','margin');
//(pageconfig)
/**
 * frmdef.xml pageconfig要素->align属性名定義
 **/
define('HTF_ATTR_PAGECONFIG_ALIGN','align');
/**
 * frmdef.xml pageconfig要素->valign属性名定義
 **/
define('HTF_ATTR_PAGECONFIG_VALIGN','valign');
/**
 * frmdef.xml pageconfig要素->width属性名定義
 **/
define('HTF_ATTR_PAGECONFIG_WIDTH','width');
/**
 * frmdef.xml pageconfig要素->border属性名定義
 **/
define('HTF_ATTR_PAGECONFIG_BORDER','border');
/**
 * frmdef.xml pageconfig要素->bordercolor属性名定義
 **/
define('HTF_ATTR_PAGECONFIG_BORDERCOLOR','bordercolor');
/**
 * frmdef.xml pageconfig要素->bgcolor属性名定義
 **/
define('HTF_ATTR_PAGECONFIG_BGCOLOR','bgcolor');
/**
 * frmdef.xml pageconfig要素->bgimage属性名定義
 **/
define('HTF_ATTR_PAGECONFIG_BGIMAGE','bgimage');
/**
 * frmdef.xml pageconfig要素->fontcolor属性名定義
 **/
define('HTF_ATTR_PAGECONFIG_FONTCOLOR','fontcolor');
/**
 * frmdef.xml pageconfig要素->linkcolor属性名定義
 **/
define('HTF_ATTR_PAGECONFIG_LINKCOLOR','linkcolor');
/**
 * frmdef.xml pageconfig要素->visitedcolor属性名定義
 **/
define('HTF_ATTR_PAGECONFIG_VISITEDCOLOR','visitedcolor');
/**
 * frmdef.xml pageconfig要素->activecolor属性名定義
 **/
define('HTF_ATTR_PAGECONFIG_ACTIVECOLOR','activecolor');
/**
 * frmdef.xml pageconfig要素->hovercolor属性名定義
 **/
define('HTF_ATTR_PAGECONFIG_HOVERCOLOR','hovercolor');
/**
 * frmdef.xml pageconfig要素->use_pageheader属性名定義
 **/
define('HTF_ATTR_PAGECONFIG_USE_PAGEHEADER','use_pageheader');
/**
 * frmdef.xml pageconfig要素->use_indexbar属性名定義
 **/
define('HTF_ATTR_PAGECONFIG_USE_INDEXBAR','use_indexbar');
/**
 * frmdef.xml pageconfig要素->use_leftarea属性名定義
 **/
define('HTF_ATTR_PAGECONFIG_USE_LEFTAREA','use_leftarea');
/**
 * frmdef.xml pageconfig要素->use_contentarea属性名定義
 **/
define('HTF_ATTR_PAGECONFIG_USE_CONTENTAREA','use_contentarea');
/**
 * frmdef.xml pageconfig要素->use_rightheader属性名定義
 **/
define('HTF_ATTR_PAGECONFIG_USE_RIGHTAREA','use_rightarea');
/**
 * frmdef.xml pageconfig要素->use_pagefooter属性名定義
 **/
define('HTF_ATTR_PAGECONFIG_USE_PAGEFOOTER','use_pagefooter');
/**
 * frmdef.xml pageconfig要素->use_leftarea属性名定義
 **/
define('HTF_ATTR_PAGECONFIG_OVERWRAP_LEFTAREA','overwrap_leftarea');
/**
 * frmdef.xml pageconfig要素->use_rightarea属性名定義
 **/
define('HTF_ATTR_PAGECONFIG_OVERWRAP_RIGHTAREA','overwrap_rightarea');

//////////////////////
//menu.xml
//////////////////////
//---要素名---
/**
 * メニューデータxmlファイル ルート要素名定義
 **/
define('HTF_MENU_XML_MENU','menu');
/**
 * メニューデータxmlファイル メニューアイテム要素名定義
 **/
define('HTF_MENU_XML_MENUITEM','menuitem');	
//menuitem
//---属性値名---
/**
 * メニューデータxmlファイル id属性名定義
 **/
define('HTF_ATTR_MENUITEM_ID','id');	
/**
 * メニューデータxmlファイル label属性名定義
 **/
define('HTF_ATTR_MENUITEM_LABEL','label');
/**
 * メニューデータxmlファイル image属性名定義
 **/
define('HTF_ATTR_MENUITEM_IMAGE','image');
/**
 * メニューデータxmlファイル swapimage属性名定義
 **/
define('HTF_ATTR_MENUITEM_SWAPIMAGE','swapimage');
/**
 * メニューデータxmlファイル alt属性名定義
 **/
define('HTF_ATTR_MENUITEM_ALT','alt');
/**
 * メニューデータxmlファイル height属性名定義
 **/
define('HTF_ATTR_MENUITEM_HEIGHT','height');
/**
 * メニューデータxmlファイル width属性名定義
 **/
define('HTF_ATTR_MENUITEM_WIDTH','width');
/**
 * メニューデータxmlファイル border属性名定義
 **/
define('HTF_ATTR_MENUITEM_BORDER', 'border');
/**
 * メニューデータxmlファイル url属性名定義
 **/
define('HTF_ATTR_MENUITEM_URL','url');
/**
 * メニューデータxmlファイル target属性名定義
 **/
define('HTF_ATTR_MENUITEM_TARGET','target');

///////////////////////////////////
// 設定xmlファイル設定値
///////////////////////////////////
//////////////////////
//共通
//////////////////////
//設定on/off
/**
 * 設定値・設定オン定義
 **/
define('HTF_CONF_ON','on');
/**
 * 設定値・設定オフ定義
 **/
define('HTF_CONF_OFF','off');

//////////////////////
//htfconf.xml
//////////////////////
/**
 * htfconf.xml設定値・小文字出力定義
 **/
define('HTF_CASE_LOWER','lower');
/**
 * htfconf.xml設定値・大文字出力定義
 **/
define('HTF_CASE_UPPER','upper');
/**
 * htfconf.xml設定値・UTF-8エンコード定義
 **/
define('HTF_ENCODE_UTF8','UTF-8');
/**
 * htfconf.xml設定値・EUC-JPエンコード定義
 **/
define('HTF_ENCODE_EUC','EUC-JP');


//////////////////////
//frmdef.xml
//////////////////////
//DOCTYPE
/**
 * frmdef.xml設定値・HTML4.01 DOCTYPE定義
 **/
define('HTF_HTML401TRANSITIONAL','HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"');
//言語
/**
 * frmdef.xml設定値・日本語定義
 **/
define('HTF_LANG_JA','ja');
//型
/**
 * frmdef.xml設定値・type設定値(include)
 **/
define('HTF_TYPE_INCLUDE','include');
/**
 * frmdef.xml設定値・type設定値(text)
 **/
define('HTF_TYPE_TEXT','text');

//metaタグ設定値
/**
 * metaタグ設定値・content-type(UTF-8)
 **/
define('HTF_CONTENT_TYPE_HTML_UTF8','text/html; charset=utf-8');
/**
 * metaタグ設定値・content-type(EUC-JP)
 **/
define('HTF_CONTENT_TYPE_HTML_EUCJP','text/html; charset=euc-jp');
/**
 * metaタグ設定値・content-style-type(text/css)
 **/
define('HTF_CONTENT_STYLE_TYPE_CSS','text/css');
/**
 * metaタグ設定値・content-script-type(text/javascript)
 **/
define('HTF_CONTENT_SCRIIPT_TYPE_JAVASCRIPT','text/javascript');

//pageconfig
/**
 * pageconfig設定値・indexbarオーバーラップ指定
 **/
define('HTF_PAGECONFIG_OVERWRAP_INDEXBAR','indexbar');
/**
 * pageconfig設定値・leftareaオーバーラップ指定
 **/
define('HTF_PAGECONFIG_OVERWRAP_LEFTAREA','leftarea');

///////////////////////////////////
// CSSクラス名
///////////////////////////////////
//公開CSS記述クラス名
/**
 * CSSクラス名定義・body
 **/
define('HTF_CSS_OPENCLASS_BODY','body');
/**
 * htf公開CSSクラス名定義・page
 **/
define('HTF_CSS_OPENCLASS_PAGE','page');
/**
 * htf公開CSSクラス名定義・pageheader
 **/
define('HTF_CSS_OPENCLASS_PAGEHEADER','pageheader');
/**
 * htf公開CSSクラス名定義・pageheader_td
 **/
define('HTF_CSS_OPENCLASS_PAGEHEADER_TD','pageheader_td');
/**
 * htf公開CSSクラス名定義・indexbar
 **/
define('HTF_CSS_OPENCLASS_INDEXBAR','indexbar');
/**
 * htf公開CSSクラス名定義・indexbar_td
 **/
define('HTF_CSS_OPENCLASS_INDEXBAR_TD','indexbar_td');
/**
 * htf公開CSSクラス名定義・leftarea
 **/
define('HTF_CSS_OPENCLASS_LEFTAREA','leftarea');
/**
 * htf公開CSSクラス名定義・leftarea_td
 **/
define('HTF_CSS_OPENCLASS_LEFTAREA_TD','leftarea_td');
/**
 * htf公開CSSクラス名定義・rightarea
 **/
define('HTF_CSS_OPENCLASS_RIGHTAREA','rightarea');	
/**
 * htf公開CSSクラス名定義・rightarea_td
 **/
define('HTF_CSS_OPENCLASS_RIGHTAREA_TD','rightarea_td');
/**
 * htf公開CSSクラス名定義・contentarea
 **/
define('HTF_CSS_OPENCLASS_CONTENTAREA','contentarea');
/**
 * htf公開CSSクラス名定義・contentarea_td
 **/
define('HTF_CSS_OPENCLASS_CONTENTAREA_TD','contentarea_td');
/**
 * htf公開CSSクラス名定義・pagefooter
 **/
define('HTF_CSS_OPENCLASS_PAGEFOOTER','pagefooter');
/**
 * htf公開CSSクラス名定義・pagefooter_td
 **/
define('HTF_CSS_OPENCLASS_PAGEFOOTER_TD','pagefooter_td');

///////////////////////////////////
// 各クラス使用パラメータ
///////////////////////////////////
//////////////////////
//htf_css_style
//////////////////////
//セレクタ作成方法
/**
 * htfパラメータ・CSSセレクタ作成方法（エレメント全てを使用）
 **/
define('HTF_CSS_STYLE_USE_ELEMENT_ARR',16);
/**
 * htfパラメータ・CSSセレクタ作成方法（エレメント先頭を使用）
 **/
define('HTF_CSS_STYLE_USE_ELEMENT_FST',8);
/**
 * htfパラメータ・CSSセレクタ作成方法（クラスを使用）
 **/
define('HTF_CSS_STYLE_USE_CLASS',4);
/**
 * htfパラメータ・CSSセレクタ作成方法（IDを使用）
 **/
define('HTF_CSS_STYLE_USE_ID',2);
/**
 * htfパラメータ・CSSセレクタ作成方法（アンカーを使用）
 **/
define('HTF_CSS_STYLE_USE_ANCNAME',1);
//////////////////////
//htf_tag_table
//////////////////////
/**
 * htfパラメータ・Tableタグでtheadを使用
 **/
define('HTF_TAG_TABLE_USE_THEAD',1);	
/**
 * htfパラメータ・Tableタグでtbodyを使用
 **/
define('HTF_TAG_TABLE_USE_TBODY',2);
/**
 * htfパラメータ・Tableタグでtfootを使用
 **/
define('HTF_TAG_TABLE_USE_TFOOT',4);

?>
