<TABLE WIDTH="590" BORDER="0" ALIGN="LEFT" CLASS="xsmall">
<TR>
	<TD CLASS="mediumb">
		<br>
		<a name="top">●AS-SMTPオンラインマニュアル</a><br>
	</TD>
</TR>
<TR>
	<TD>
		<OL>
		<LI><a href="#outline">基本的なメール送信プログラム手順</a><br></LI>
		<LI><a href="#property">プロパティ</a><br></LI>
		<LI><a href="#method_data">メソッド（データ作成系）</a><br></LI>
		<LI><a href="#method_cmd">メソッド（SMTPコマンド系）</a><br></LI>
		<LI><a href="#method_other">メソッド（その他）</a><br></LI>
		<LI><a href="#event">イベント</a><br></LI>
		<LI><a href="#errcode">エラーコード</a><br></LI>
		<LI><a href="#smtpmsg">SMTP応答コード</a><br></LI>
		</OL>
		<HR>
	</TD>
</TR>
<TR>
	<TD CLASS="normalb">
		<a name="outline">1.&nbsp;基本的なメール送信プログラム手順</a><br>
	</TD>
</TR>
<TR>
	<TD>
		<BLOCKQUOTE>
			・オブジェクトのインスタンスを生成します。<br>
			-------------------------------------------------------------<br>
			<b>(例：VB/VBAの場合)</b><br>
			Set objSmtp = CreateObject("ASLib.SMTP")<br>
			Set objSmtp = New ASLib.SMTP<br>
			<b>(例：ASP VBScriptの場合)</b><br>
			Set objSmtp = Server.CreateObject("ASLib.SMTP")<br>
			<b>(例：ASP JScriptの場合)</b><br>
			var objSmtp = new ActiveXObject('ASLib.SMTP');<br>
			<b>(例：WSH VBScriptの場合)</b><br>
			Set objSmtp = WScript.CreateObject("ASLib.SMTP")<br>
			<b>(例：WSH JScriptの場合)</b><br>
			var objSmtp = WScript.CreateObject('ASLib.SMTP');<br>
			-------------------------------------------------------------<br>
			<br>
			・<a href="#property">プロパティ</a>を設定し、メール送信のためのパラメータを設定します。<br>
			-------------------------------------------------------------<br>
			<b>(例：VBScriptでTypeプロパティをHTMLメールにする場合)</b><br>
			objSmtp.Type = 1<br>
			-------------------------------------------------------------<br>
			<br>
			・<a href="#method_data">データ作成系メソッド</a>（Make～,Add～）を呼び出し、送信メールデータを作成します。<br>
			-------------------------------------------------------------<br>
			<b>(例：VBScriptでMakeSubjectメソッドを呼び出す場合)</b><br>
			Dim iret<br>
			iret = objSmtp.MakeSubject('メール題名')<br>
			-------------------------------------------------------------<br>
			<br>
			・<a href="#method_cmd">SMTPコマンド系メソッド</a>を順次呼び出し、メール送信を行います。<br>
			※通常は、Connect→HELO→MAIL→RCPT→DATA→QUITの順に呼び出します。<br>
			※非同期の場合にはOnCommandFinishイベントでコマンドの終了が通知されます。<br>
			-------------------------------------------------------------<br>
			<b>(例：VBScriptでHELOメソッドを呼び出す場合)</b><br>
			Dim iret<br>
			iret = objSmtp.HELO('MyHostname')<br>
			-------------------------------------------------------------<br>
			<br>
			・オブジェクトの解放が必要な場合は解放します。<br>
			-------------------------------------------------------------<br>
			<b>(例：VBScriptの場合)</b><br>
			Set objSmtp = Nothing<br>
			-------------------------------------------------------------<br>
		</BLOCKQUOTE>
		<div align="right">
		<a href="#top">|ページtopへ戻る|</a>
		</div>
		<HR>
	</TD>
</TR>
<TR>
	<TD CLASS="normalb">
		<a name="property">2.&nbsp;プロパティ</a><br>
		<br>
		<table align="center" WIDTH="85%" frame="hsides" class="xsmall">
		<tr>
		<td valign="top">
			<a href="#prop_port">Port</a><br>
			<a href="#prop_type">Type</a><br>
			<a href="#prop_encode">Encode</a><br>
			<a href="#prop_width">Width</a><br>
			<a href="#prop_recvtimeout">RecvTimeout</a><br>
		</td>
		<td valign="top">
			<a href="#prop_sync">Sync</a><br>
			<a href="#prop_priority">Priority</a><br>
			<a href="#prop_smtpuser">SMTPUser</a><br>
			<a href="#prop_smtppass">SMTPPass</a><br>
			<a href="#prop_maildata">MailData</a><br>
		</td>
		<td valign="top">
			<a href="#prop_smtp_recvcode">SMTP_RecvCode</a><br>
			<a href="#prop_smtp_recvmsg">SMTP_RecvMsg</a><br>
			<a href="#prop_smtp_recvmsgn">SMTP_RecvMsgN</a><br>
			<a href="#prop_smtp_recvmsgall">SMTP_RecvMsgALL</a><br>
			<a href="#prop_smtp_recvline">SMTP_RecvLine</a><br>
		</td>
		<td valign="top">
			<a href="#prop_lasterror">LastError</a><br>
		</td>
		</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="prop_port">Portプロパティ</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="15%">
					データ型

				</td>
				<td>
					(VC)long<br>
					(VB)Long<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					既定値
				</td>
				<td>
					25
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					送信に使用するSMTPサーバのポート番号を指定します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例

				</td>
				<td>
					objSmtp.Port = 25<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#property">プロパティへ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="prop_type">Typeプロパティ</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="15%">
					データ型

				</td>
				<td>
					(VC)long<br>
					(VB)Long<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					既定値
				</td>
				<td>
					0（テキストメール）

				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					送信メール本文をテキストメールとして送信するか、HTMLメールとして送信するかを指定します。<br>
					0:テキストメール<br>
					1:HTMLメール<br>
					※上記以外を指定した場合にはテキストメールとして送信します。

				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例

				</td>
				<td>
					（HTMLメールとして送信）<br>
					objSmtp.Type = 1<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#property">プロパティへ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="prop_encode">Encodeプロパティ</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="15%">
					データ型

				</td>
				<td>
					(VC)long<br>
					(VB)Long<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					既定値
				</td>
				<td>
					2（BASE64）

				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					添付ファイルのエンコード方法を指定します。<br>
					1:7BitJIS<br>
					2:BASE64<br>
					3:Quoted-Printable<br>
					※上記以外を指定した場合にはBASE64でエンコードします。

				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例

				</td>
				<td>
					（添付ファイルを7BitJISでエンコード）<br>
					objSmtp.Encode = 1<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#property">プロパティへ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="prop_width">Widthプロパティ</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="15%">
					データ型

				</td>
				<td>
					(VC)long<br>
					(VB)Long<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					既定値
				</td>
				<td>
					0（RFCの上限値まで改行なし）

				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					メール本文の１行文字数を指定します。（この文字数で強制改行されます）<br>
					0を指定した場合には、998文字（RFCの上限）まで改行されません。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例

				</td>
				<td>
					（76文字で強制改行する）<br>
					objSmtp.Width = 76<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#property">プロパティへ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="prop_recvtimeout">RecvTimeoutプロパティ</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="15%">
					データ型

				</td>
				<td>
					(VC)long<br>
					(VB)Long<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					既定値
				</td>
				<td>
					20(20秒)
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					SMTPサーバ通信時のタイムアウト秒数を指定します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例

				</td>
				<td>
					（通信タイムアウトを40秒とする）<br>
					objSmtp.RecvTimeout = 40<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#property">プロパティへ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="prop_sync">Syncプロパティ</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="15%">
					データ型

				</td>
				<td>
					(VC)long<br>
					(VB)Long<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					既定値
				</td>
				<td>
					0（同期モード）

				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					SMTPサーバ通信の同期／非同期を指定します。<br>
					0:同期モード<br>
					1:非同期モード<br>
					※同期の場合は対応するメッセージをサーバから受信するまで戻りませんが、非同期の場合はすぐに処理が戻ります。<br>
					※非同期の場合は対応するメッセージを受信するとOnCommandFinishイベントが発生します。ASPなどイベント非対応のプラットフォームの場合は同期モードで使用してください。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例

				</td>
				<td>
					（SMTPサーバとの通信を非同期モードにする）<br>
					objSmtp.Sync = 1<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#property">プロパティへ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="prop_priority">Priorityプロパティ</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="15%">
					データ型

				</td>
				<td>
					(VC)long<br>
					(VB)Long<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					既定値
				</td>
				<td>
					3（通常）

				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					メッセージの重要度を設定します。(X-Priorityヘッダに記述される）<br>
					1（重要度高）～5（重要度低）（<br>
					※1～5以外の値の場合は設定しません。

				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例

				</td>
				<td>
					（メッセージの重要度を最重要にする）<br>
					objSmtp.Priority = 1<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#property">プロパティへ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="prop_smtpuser">SMTPUserプロパティ</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="15%">
					データ型

				</td>
				<td>
					(VC)BSTR<br>
					(VB)String<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					既定値
				</td>
				<td>
					なし

				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					SMTP認証を使用する際のユーザアカウントを指定します。<br>
					※LOGINメソッドで使用します。

				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例

				</td>
				<td>
					（SMTP認証用のアカウントを"Username"に設定する）<br>
					objSmtp.SMTPUser = "Username"<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#property">プロパティへ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="prop_smtppass">SMTPPassプロパティ</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="15%">
					データ型

				</td>
				<td>
					(VC)BSTR<br>
					(VB)String<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					既定値
				</td>
				<td>
					なし

				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					SMTP認証を使用する際のパスワードを指定します。<br>
					※LOGINメソッドで使用します。

				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例

				</td>
				<td>
					（SMTP認証用のパスワードを"Password"に設定する）<br>
					objSmtp.SMTPUser = "Password"<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#property">プロパティへ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="prop_maildata">MailDataプロパティ</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="15%">
					データ型

				</td>
				<td>
					(VC)VARIANT<br>
					(VB)Variant<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					既定値
				</td>
				<td>
					なし

				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					直前に送信したメールデータを取得します。<br>
					※取得のみ可能。（設定不可）<br>
					※送信データはUnicodeでなくJISコードで取得します。(送信メールデータそのまま）。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例

				</td>
				<td>
					（VB:送信メールデータをUnicodeに変換して取得する）<br>
					strMaildata = StrConv(objSmtp.MailData, vbUnicode)<br>
					※この使用例はVBScriptでは動作しません。

				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#property">プロパティへ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="prop_smtp_recvcode">SMTP_RecvCodeプロパティ</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="15%">
					データ型

				</td>
				<td>
					(VC)long<br>
					(VB)Long<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					既定値
				</td>
				<td>
					なし

				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					SMTPサーバからの有効行メッセージからメッセージコードを取得します。<br>
					※取得のみ可能。（設定不可）<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例

				</td>
				<td>
					（SMTPサーバからのメッセージコードを取得する）<br>
					intRetCode = objSmtp.SMTP_RecvCode<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#property">プロパティへ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="prop_smtp_recvmsg">SMTP_RecvMsgプロパティ</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="15%">
					データ型

				</td>
				<td>
					(VC)BSTR<br>
					(VB)String<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					既定値
				</td>
				<td>
					なし

				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					SMTPサーバからのメッセージから有効行メッセージを取得します。<br>
					※取得のみ可能。（設定不可）<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例

				</td>
				<td>
					（SMTPサーバからの有効行メッセージを取得する）<br>
					strMsg = objSmtp.SMTP_RecvMsg<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#property">プロパティへ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="prop_smtp_recvmsgn">SMTP_RecvMsgNプロパティ</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="15%">
					データ型

				</td>
				<td>
					(VC)BSTR<br>
					(VB)String<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					既定値
				</td>
				<td>
					なし

				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					SMTPサーバからのメッセージコードに対応する、日本語メッセージを取得します。<br>
					※取得のみ可能。（設定不可）<br>
					※--SMTP_RecvMsgとの違い--<br>
					&nbsp;&nbsp; SMTP_RecvMsg→SMTPサーバから送信された有効行メッセージ<br>
					&nbsp;&nbsp; SMTP_RecvMsgN→有効行メッセージコードに対応する日本語メッセージ（内部保有）<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例

				</td>
				<td>
					（内部保有の日本語メッセージを取得する）<br>
					strMsgN = objSmtp.SMTP_RecvMsgN<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#property">プロパティへ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="prop_smtp_recvmsgall">SMTP_RecvMsgALLプロパティ</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="15%">
					データ型

				</td>
				<td>
					(VC)BSTR<br>
					(VB)String<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					既定値
				</td>
				<td>
					なし

				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					SMTPサーバからの全メッセージを取得します。<br>
					※取得のみ可能。（設定不可）<br>
					※--SMTP_RecvMsgとの違い--<br>
					&nbsp;&nbsp; SMTP_RecvMsg→SMTPサーバから送信された有効行メッセージ<br>
					&nbsp;&nbsp; SMTP_RecvMsgALL→SMTPサーバから送信された全メッセージ（有効行メッセージを含む）<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例

				</td>
				<td>
					（SMTPサーバからの全メッセージを取得する）<br>
					strMsgN = objSmtp.SMTP_RecvMsgALL<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#property">プロパティへ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="prop_smtp_recvline">SMTP_RecvLineプロパティ</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="15%">
					データ型

				</td>
				<td>
					(VC)long<br>
					(VB)Long<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					既定値
				</td>
				<td>
					なし

				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					SMTPサーバからのメッセージ行数を取得します。<br>
					※取得のみ可能。（設定不可）<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例

				</td>
				<td>
					（SMTPサーバからのメッセージ行数を取得する）<br>
					lngRecvLine = objSmtp.SMTP_RecvLine<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#property">プロパティへ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="prop_lasterror">LastErrorプロパティ</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="15%">
					データ型

				</td>
				<td>
					(VC)long<br>
					(VB)Long<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					既定値
				</td>
				<td>
					なし

				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					Winsockでエラーが発生した場合のWinsockのエラーコードを取得します。<br>
					※取得のみ可能。（設定不可）<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例

				</td>
				<td>
					（Winsockのエラーコードを取得する）<br>
					lngLastError = objSmtp.LastError<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#property">プロパティへ戻る|</a>
				</td>
			</tr>
		</table>
		<HR>
	</TD>
</TR>
<TR>
	<TD CLASS="normalb">
		<a name="method_data">3.&nbsp;メソッド（データ作成系）</a><br>
		<table align="center" WIDTH="85%" class="xsmall">
		<tr>
		<td>
		・メールヘッダやメール本文、添付ファイル内容を登録します。<br>
		・Make～のメソッドは最後に呼び出した内容が有効になります。<br>
		・Add～のメソッドは内容を追加登録します。<br>
		</td>
		</tr>
		</table>
		<table align="center" WIDTH="85%" frame="hsides" class="xsmall">
		<tr>
		<td valign="top">
			<a href="#method_makefromaddress">MakeFromAddress</a><br>
			<a href="#method_makereplytoaddress">MakeReplyToAddress</a><br>
			<a href="#method_addtoaddress">AddToAddress</a><br>
			<a href="#method_addccaddress">AddCCAddress</a><br>
			<a href="#method_makesubject">MakeSubject</a><br>
		</td>
		<td valign="top">
			<a href="#method_addexmessage">AddExMessage</a><br>
			<a href="#method_makebody">MakeBody</a><br>
			<a href="#method_flushmaildata">FlushMailData</a><br>
			<a href="#method_addattachfilename">AddAttachFileName</a><br>
			<a href="#method_flushattachfile">FlushAttachFile</a><br>
		</td>
		</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="method_makefromaddress">MakeFromAddress</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="18%">
					機能概要

				</td>
				<td>
					送信メールのFromヘッダ内容を登録します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb" width="15%">
					記述形式

				</td>
				<td>
					lngret = objSmtp.MakeFromAddress(strAddress, strNickname)<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					引数・戻り値
				</td>
				<td>
					strAddress [in]:Fromヘッダに指定するメールアドレス<br>
					strNickname [in, optional]:strAddressに対応するニックネーム（省略可）<br>
					lngret [out]:正常終了時0を返す<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					Fromヘッダ内容を登録します。複数回呼び出された場合には指定内容で上書きされます。<br>
					登録されたFromヘッダ内容はFlushMailDataメソッドでフラッシュされます。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例(VB)
				</td>
				<td>
					lngret = objSmtp.MakeFromAddress("from@hoge.com")<br>
					lngret = objSmtp.MakeFromAddress("from@hoge.com","ほげ")<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#method_data">メソッド一覧へ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="method_makereplytoaddress">MakeReplyToAddress</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="18%">
					機能概要

				</td>
				<td>
					送信メールのReply-Toヘッダ内容を登録します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb" width="15%">
					記述形式

				</td>
				<td>
					lngret = objSmtp.MakeReplyToAddress(strAddress)<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					引数・戻り値
				</td>
				<td>
					strAddress [in]:Reply-Toヘッダに登録するメールアドレス<br>
					lngret [out]:正常終了時0を返す<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					Reply-Toヘッダ内容を登録します。複数回呼び出された場合には指定内容で上書きされます。<br>
					登録されたReply-Toヘッダ内容はFlushMailDataメソッドでフラッシュされます。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例(VB)
				</td>
				<td>
					lngret = objSmtp.MakeReplytToAddress("replyto@hoge.com")<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#method_data">メソッド一覧へ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="method_addtoaddress">AddToAddress</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="18%">
					機能概要

				</td>
				<td>
					送信メールのToヘッダ内容を追加登録します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb" width="15%">
					記述形式

				</td>
				<td>
					lngret = objSmtp.AddToAddress(strAddress, strNickname)<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					引数・戻り値
				</td>
				<td>
					strAddress [in]:Toヘッダに登録するメールアドレス<br>
					strNickname [in, optional]:strAddressに対応するニックネーム（省略可）<br>
					lngret [out]:正常終了時0を返す<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					Toヘッダ内容を登録します。複数回呼び出された場合には指定内容が追加登録されます。<br>
					登録されたToヘッダ内容はFlushMailDataメソッドでフラッシュされます。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例(VB)
				</td>
				<td>
					lngret = objSmtp.AddToAddress("to@hoge.com")<br>
					lngret = objSmtp.AddToAddress("to@hoge.com","ほげ")<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#method_data">メソッド一覧へ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="method_addccaddress">AddCCAddress</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="18%">
					機能概要

				</td>
				<td>
					送信メールのCCヘッダ内容を追加登録します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb" width="15%">
					記述形式

				</td>
				<td>
					lngret = objSmtp.AddCCAddress(strAddress, strNickname)<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					引数・戻り値
				</td>
				<td>
					strAddress [in]:CCヘッダに登録するメールアドレス<br>
					strNickname [in, optional]:strAddressに対応するニックネーム（省略可）<br>
					lngret [out]:正常終了時0を返す<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					CCヘッダ内容を登録します。複数回呼び出された場合には指定内容が追加登録されます。<br>
					登録されたCCヘッダ内容はFlushMailDataメソッドでフラッシュされます。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例(VB)
				</td>
				<td>
					lngret = objSmtp.AddCCAddress("cc@hoge.com","")<br>
					lngret = objSmtp.AddCCAddress("cc@hoge.com","ほげ")<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#method_data">メソッド一覧へ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="method_makesubject">MakeSubject</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="18%">
					機能概要

				</td>
				<td>
					送信メールのタイトル内容を登録します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb" width="15%">
					記述形式

				</td>
				<td>
					lngret = objSmtp.MakeSubject(strSubject)<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					引数・戻り値
				</td>
				<td>
					strSubject [in]:メールタイトル文字列<br>
					lngret [out]:正常終了時0を返す<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					メールタイトル内容を登録します。複数回呼び出された場合には指定内容で上書きされます。<br>
					登録されたメールタイトル内容はFlushMailDataメソッドでフラッシュされます。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例(VB)
				</td>
				<td>
					lngret = objSmtp.MakeSubject("メールタイトル")<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#method_data">メソッド一覧へ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="method_addexmessage">AddExMessage</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="18%">
					機能概要

				</td>
				<td>
					メールの拡張ヘッダを登録します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb" width="15%">
					記述形式

				</td>
				<td>
					lngret = objSmtp.AddExMessage(strHeaderName, strExMessage)<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					引数・戻り値
				</td>
				<td>
					strHeaderName [in]:拡張ヘッダ名文字列<br>
					strExMessage [in]:ヘッダ内容文字列<br>
					lngret [out]:正常終了時0を返す<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					メールの拡張ヘッダを登録します。複数回呼び出された場合には指定内容が追加登録されます。<br>
					登録された拡張ヘッダはFlushMailDataメソッドでフラッシュされます。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例(VB)
				</td>
				<td>
					lngret = objSmtp.AddExMessage("X-Memo:","メモ")<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#method_data">メソッド一覧へ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="method_makebody">MakeBody</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="18%">
					機能概要

				</td>
				<td>
					メール本文を登録します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb" width="15%">
					記述形式

				</td>
				<td>
					lngret = objSmtp.MakeBody(strBody)<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					引数・戻り値
				</td>
				<td>
					strBody [in]:本文メッセージ文字列<br>
					lngret [out]:正常終了時0を返す<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					メールの本文を登録します。複数回呼び出された場合には指定内容で上書きされます。<br>
					登録されたメール本文はFlushMailDataメソッドでフラッシュされます。<br>
					※メール本文は、半角カナは全角に強制的に変換されます。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例(VB)
				</td>
				<td>
					lngret = objSmtp.MakeBody("メール本文です。")<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#method_data">メソッド一覧へ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="method_flushmaildata">FlushMailData</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="18%">
					機能概要

				</td>
				<td>
					登録したメールデータをフラッシュします。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb" width="15%">
					記述形式

				</td>
				<td>
					lngret = objSmtp.FlushMailData()<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					引数・戻り値
				</td>
				<td>
					lngret [out]:正常終了時0を返す<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					Make～、Add～のメソッドで登録されたメールヘッダ・本文の内容をフラッシュします。<br>
					--フラッシュする内容--<br>
					・Fromヘッダ<br>
					・Toヘッダ<br>
					・CCヘッダ<br>
					・Reply-Toヘッダ<br>
					・メールタイトル<br>
					・メールヘッダ拡張メッセージ<br>
					・メール本文<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例(VB)
				</td>
				<td>
					lngret = objSmtp.FlushMailData()<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#method_data">メソッド一覧へ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="method_addattachfilename">AddAttachFileName</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="18%">
					機能概要

				</td>
				<td>
					メールの添付ファイル名を登録します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb" width="15%">
					記述形式

				</td>
				<td>
					lngret = objSmtp.AddAttachFileName(strFilename)<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					引数・戻り値
				</td>
				<td>
					strFileName [in]:添付ファイル名（フルパス指定）<br>
					lngret [out]:正常終了時0を返す<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					メールに添付する添付ファイル名を登録します。複数回呼び出された場合には指定添付ファイル名が追加登録されます。<br>
					登録されたファイルはDATAメソッド呼び出し時に読み出されます。<br>
					登録された添付ファイル名はFlushAttachFileメソッドでフラッシュされます。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例(VB)
				</td>
				<td>
					lngret = objSmtp.AddAttachFileName("c:\autoexec.bat")<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#method_data">メソッド一覧へ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="method_flushattachfile">FlushAttachFile</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="18%">
					機能概要

				</td>
				<td>
					登録した添付ファイル名をフラッシュします。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb" width="15%">
					記述形式

				</td>
				<td>
					lngret = objSmtp.FlushAttachFile()<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					引数・戻り値
				</td>
				<td>
					lngret [out]:正常終了時0を返す<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					AddAttachFileNameメソッドで登録された添付ファイル名をフラッシュします。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例(VB)
				</td>
				<td>
					lngret = objSmtp.FlushAttachFile()<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#method_data">メソッド一覧へ戻る|</a>
				</td>
			</tr>
		</table>
		<HR>
	</TD>
</TR>
<TR>
	<TD CLASS="normalb">
		<a name="method_cmd">4.&nbsp;メソッド（SMTPコマンド系）</a><br>
		<table align="center" WIDTH="85%" class="xsmall">
		<tr>
		<td>
		・指定されたSMTPサーバとの通信を行います。<br>
		・非同期指定の場合はすぐに処理が戻り、SMTPサーバからの応答を受信するとOnCommandFinishイベントが発生します。<br>
		・同期の場合はSMTPサーバからの応答を受信するまで待ちます。<br>
		・SMTP応答コードはメソッド終了後にSMTP_RecvCodeプロパティで確認できます。<br>
		</td>
		</tr>
		</table>
		<table align="center" WIDTH="85%" frame="hsides" class="xsmall">
		<tr>
		<td valign="top">
			<a href="#method_connect">Connect</a><br>
			<a href="#method_helo">HELO</a><br>
			<a href="#method_quit">QUIT</a><br>
			<a href="#method_mail">MAIL</a><br>
			<a href="#method_rcpt">RCPT</a><br>
		</td>
		<td valign="top">
			<a href="#method_noop">NOOP</a><br>
			<a href="#method_rset">RSET</a><br>
			<a href="#method_datacmd">DATA</a><br>
			<a href="#method_ehlo">EHLO</a><br>
			<a href="#method_vrfy">VRFY</a><br>
		</td>
		<td valign="top">
			<a href="#method_expn">EXPN</a><br>
			<a href="#method_help">HELP</a><br>
			<a href="#method_login">LOGIN</a><br>
		</td>
		</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="method_connect">Connect</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="18%">
					機能概要

				</td>
				<td>
					指定SMTPサーバにコネクトします。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb" width="15%">
					記述形式

				</td>
				<td>
					lngret = objSmtp.Connect(strServerName)<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					引数・戻り値
				</td>
				<td>
					strServerName [in]:接続するSMTPサーバホスト名、又はIPアドレス文字列<br>
					lngret [out]:正常終了時0を返す<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					指定されたSMTPサーバにコネクトします。<br>
					引数にはホスト名、もしくはIPアドレス文字列を指定して下さい。<br>
					Connect成功時には0を返します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					SMTP応答コード

				</td>
				<td>
					成功時(戻り値0):220<br>
					失敗時(戻り値-60001):554<br>
					※上記以外のSMTP応答コードの場合、メソッドは想定外のエラー(-60002)を返します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例(VB)
				</td>
				<td>
					lngret = objSmtp.Connect("servername")<br>
					lngret = objSmtp.Connect("192.168.0.1")<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#method_cmd">メソッド一覧へ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="method_helo">HELO</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="18%">
					機能概要

				</td>
				<td>
					指定SMTPサーバにHELOコマンドを送信し、SMTPセッションを開始します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb" width="15%">
					記述形式

				</td>
				<td>
					lngret = objSmtp.HELO(strDomain)<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					引数・戻り値
				</td>
				<td>
					strDomain [in]:送信元ドメイン名文字列<br>
					lngret [out]:正常終了時0を返す<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					指定SMTPサーバにHELOコマンドを送信し、SMTPセッションを開始します。<br>
					引数には送信元ドメイン名文字列を指定します。指定されない場合は指定なしでHELOコマンドを送信します。<br>
					※SMTP認証などを使用する場合にはHELOコマンドではなく、EHLOコマンドを使用して下さい。

				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					SMTP応答コード

				</td>
				<td>
					成功時(戻り値0):250<br>
					失敗時(戻り値-60001):504,550<br>
					※上記以外のSMTP応答コードの場合、メソッドは想定外のエラー(-60002)を返します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例(VB)
				</td>
				<td>
					lngret = objSmtp.HELO("hoge.com")<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#method_cmd">メソッド一覧へ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="method_quit">QUIT</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="18%">
					機能概要

				</td>
				<td>
					指定SMTPサーバにQUITコマンドを送信し、コネクションを切断します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb" width="15%">
					記述形式

				</td>
				<td>
					lngret = objSmtp.QUIT()<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					引数・戻り値
				</td>
				<td>
					lngret [out]:正常終了時0を返す<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					指定SMTPサーバにQUITコマンドを送信し、コネクションを切断します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					SMTP応答コード

				</td>
				<td>
					成功時(戻り値0):221<br>
					※上記以外のSMTP応答コードの場合、メソッドは想定外のエラー(-60002)を返します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例(VB)
				</td>
				<td>
					lngret = objSmtp.QUIT()<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#method_cmd">メソッド一覧へ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="method_mail">MAIL</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="18%">
					機能概要

				</td>
				<td>
					指定SMTPサーバにMAILコマンドを送信し、メールトランザクションを開始します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb" width="15%">
					記述形式

				</td>
				<td>
					lngret = objSmtp.MAIL(strReversePath)<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					引数・戻り値
				</td>
				<td>
					strReversePath [in]:エラー報告に使われるメールアドレス<br>
					lngret [out]:正常終了時0を返す<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					指定SMTPサーバにMAILコマンドを送信し、メールトランザクションを開始します。<br>
					※引数に指定されたメールアドレスはサーバ側でメールヘッダのReturn-Path等に指定され、サーバからのエラー報告などに使用されます。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					SMTP応答コード

				</td>
				<td>
					成功時(戻り値0):250<br>
					失敗時(戻り値-60001):552,554,451,452,550,553,503<br>
					※上記以外のSMTP応答コードの場合、メソッドは想定外のエラー(-60002)を返します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例(VB)
				</td>
				<td>
					lngret = objSmtp.MAIL("from@hoge.com")<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#method_cmd">メソッド一覧へ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="method_rcpt">RCPT</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="18%">
					機能概要

				</td>
				<td>
					指定SMTPサーバにRCPTコマンドを送信します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb" width="15%">
					記述形式

				</td>
				<td>
					lngret = objSmtp.RCPT(strForwardPath)<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					引数・戻り値
				</td>
				<td>
					strForwardPath [in]:送信先のメールアドレス<br>
					lngret [out]:正常終了時0を返す<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					指定SMTPサーバにRCPTコマンドを送信します。<br>
					RCPTコマンドはSMTPサーバに引数に指定したメール送信先を認識させます。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					SMTP応答コード

				</td>
				<td>
					成功時(戻り値0):250,251<br>
					失敗時(戻り値-60001):550,551,552,553,450,451,452,503<br>
					※上記以外のSMTP応答コードの場合、メソッドは想定外のエラー(-60002)を返します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例(VB)
				</td>
				<td>
					lngret = objSmtp.RCPT("to@hoge.com")<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#method_cmd">メソッド一覧へ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="method_noop">NOOP</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="18%">
					機能概要

				</td>
				<td>
					指定SMTPサーバにNOOPコマンドを送信します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb" width="15%">
					記述形式

				</td>
				<td>
					lngret = objSmtp.NOOP()<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					引数・戻り値
				</td>
				<td>
					lngret [out]:正常終了時0を返す<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					指定SMTPサーバにNOOPコマンドを送信します。<br>
					※NOOPコマンドは、SMTPサーバがOKの応答を送る以外何も行いません。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					SMTP応答コード

				</td>
				<td>
					成功時(戻り値0):250<br>
					※上記以外のSMTP応答コードの場合、メソッドは想定外のエラー(-60002)を返します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例(VB)
				</td>
				<td>
					lngret = objSmtp.NOOP()<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#method_cmd">メソッド一覧へ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="method_rset">RSET</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="18%">
					機能概要

				</td>
				<td>
					指定SMTPサーバにRESETコマンドを送信し、メールトランザクションを中断します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb" width="15%">
					記述形式

				</td>
				<td>
					lngret = objSmtp.RSET()<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					引数・戻り値
				</td>
				<td>
					lngret [out]:正常終了時0を返す<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					指定SMTPサーバにRSETコマンドを送信、メールトランザクションを中断します。<br>
					※メールトランザクションを中断するだけで、コネクションは切断されません。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					SMTP応答コード

				</td>
				<td>
					成功時(戻り値0):250<br>
					※上記以外のSMTP応答コードの場合、メソッドは想定外のエラー(-60002)を返します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例(VB)
				</td>
				<td>
					lngret = objSmtp.RSET()<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#method_cmd">メソッド一覧へ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="method_datacmd">DATA</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="18%">
					機能概要

				</td>
				<td>
					指定SMTPサーバにDATAコマンドを送信し、メールデータを送信します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb" width="15%">
					記述形式

				</td>
				<td>
					lngret = objSmtp.DATA()<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					引数・戻り値
				</td>
				<td>
					lngret [out]:正常終了時0を返す<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					指定SMTPサーバにDATAコマンドを送信し、メールデータを送信します。<br>
					Make～、Add～で登録したデータはこのコマンド呼び出し時にメールデータとして送信されます。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					SMTP応答コード

				</td>
				<td>
					成功時(戻り値0):250<br>
					失敗時(戻り値-60001):552,554,451,452<br>
					※上記以外のSMTP応答コードの場合、メソッドは想定外のエラー(-60002)を返します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例(VB)
				</td>
				<td>
					lngret = objSmtp.DATA()<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#method_cmd">メソッド一覧へ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="method_ehlo">EHLO</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="18%">
					機能概要

				</td>
				<td>
					指定SMTPサーバにEHLOコマンドを送信し、SMTPセッションを開始します。<br>
					引数には送信元ドメイン名文字列を指定して下さい。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb" width="15%">
					記述形式

				</td>
				<td>
					lngret = objSmtp.EHLO(strDomain)<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					引数・戻り値
				</td>
				<td>
					strDomain [in]:送信元ドメイン名文字列<br>
					lngret [out]:正常終了時0を返す<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					指定SMTPサーバにEHLOコマンドを送信し、SMTPセッションを開始します。<br>
					引数には送信元ドメイン名文字列を指定して下さい。指定されない場合は指定なしでEHLOコマンドを送信します。<br>
					※SMTP認証などを使用する場合にはHELOコマンドではなく、EHLOコマンドを使用して下さい。

				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					SMTP応答コード

				</td>
				<td>
					成功時(戻り値0):250<br>
					失敗時(戻り値-60001):504,550<br>
					※上記以外のSMTP応答コードの場合、メソッドは想定外のエラー(-60002)を返します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例(VB)
				</td>
				<td>
					lngret = objSmtp.EHLO("hoge.com")<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#method_cmd">メソッド一覧へ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="method_vrfy">VRFY</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="18%">
					機能概要

				</td>
				<td>
					指定SMTPサーバにVERIFYコマンドを送信します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb" width="15%">
					記述形式

				</td>
				<td>
					lngret = objSmtp.VRFY(strUser)<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					引数・戻り値
				</td>
				<td>
					strUser [in]:ユーザ名、またはメールボックスを表す文字列<br>
					lngret [out]:正常終了時0を返す<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					指定SMTPサーバにVERIFYコマンドを送信し引数内容のユーザ名・メールボックスを確認します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					SMTP応答コード

				</td>
				<td>
					成功時(戻り値0):250,251,252<br>
					失敗時(戻り値-60001):550,551,553,502,504<br>
					※上記以外のSMTP応答コードの場合、メソッドは想定外のエラー(-60002)を返します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例(VB)
				</td>
				<td>
					lngret = objSmtp.VRFY("username")<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#method_cmd">メソッド一覧へ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="method_expn">EXPN</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="18%">
					機能概要

				</td>
				<td>
					指定SMTPサーバにEXPANDコマンドを送信します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb" width="15%">
					記述形式

				</td>
				<td>
					lngret = objSmtp.EXPN(strAddress)<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					引数・戻り値
				</td>
				<td>
					strAddress [in]:メーリングリストアドレス文字列<br>
					lngret [out]:正常終了時0を返す<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					指定SMTPサーバにEXPANDコマンドを送信します。<br>
					SMTPサーバからは引数のメーリングアドレスリストの展開結果が返されます。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					SMTP応答コード

				</td>
				<td>
					成功時(戻り値0):250,252<br>
					失敗時(戻り値-60001):550,500,502,504<br>
					※上記以外のSMTP応答コードの場合、メソッドは想定外のエラー(-60002)を返します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例(VB)
				</td>
				<td>
					lngret = objSmtp.EXPN("ml@hoge.com")<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#method_cmd">メソッド一覧へ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="method_help">HELP</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="18%">
					機能概要

				</td>
				<td>
					指定SMTPサーバにHELPコマンドを送信します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb" width="15%">
					記述形式

				</td>
				<td>
					lngret = objSmtp.HELP(strArg)<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					引数・戻り値
				</td>
				<td>
					strArg [in]:HELPコマンド引数（省略可）<br>
					lngret [out]:正常終了時0を返す<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					指定SMTPサーバにHELPコマンドを送信します。<br>
					HELPコマンドの引数内容はサーバ側の実装に依存します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					SMTP応答コード

				</td>
				<td>
					成功時(戻り値0):211,214<br>
					失敗時(戻り値-60001):502,504<br>
					※上記以外のSMTP応答コードの場合、メソッドは想定外のエラー(-60002)を返します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例(VB)
				</td>
				<td>
					lngret = objSmtp.HELP()<br>
					lngret = objSmtp.HELP("EHLO")<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#method_cmd">メソッド一覧へ戻る|</a>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="method_login">LOGIN</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="18%">
					機能概要

				</td>
				<td>
					指定SMTPサーバにSMTP認証を使用してログインします。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb" width="15%">
					記述形式

				</td>
				<td>
					lngret = objSmtp.LOGIN(strMechanism)<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					引数・戻り値
				</td>
				<td>
					strMechanism [in, optional]:SMTP認証方法を表す文字列（省略可）<br>
					lngret [out]:正常終了時0を返す<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					SMTPUserプロパティ、SMTPPassプロパティを使用してSMTP認証を行います。<br>
					strMechanism引数省略時には認証方法はLOGINを使用します。<br>
					--strMechanismの指定方法--<br>
					"LOGIN":認証方法にLOGINを使用して認証（既定値）<br>
					"PLAIN":認証方法にPLAINを使用して認証<br>
					"CRAM-MD5":認証方法にCRAM-MD5を使用して認証<br>
					※上記以外を指定した場合にはLOGINで認証を行います。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					SMTP応答コード

				</td>
				<td>
					成功時(戻り値0):235<br>
					失敗時(戻り値-60001):535,501,432,534,538,454<br>
					※上記以外のSMTP応答コードの場合、メソッドは想定外のエラー(-60002)を返します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例(VB)
				</td>
				<td>
					lngret = objSmtp.LOGIN()<br>
					lngret = objSmtp.LOGIN("PLAIN")<br>
					lngret = objSmtp.LOGIN("CRAM-MD5")<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#method_cmd">メソッド一覧へ戻る|</a>
				</td>
			</tr>
		</table>
		<HR>
	</TD>
</TR>
<TR>
	<TD CLASS="normalb">
		<a name="method_other">5.&nbsp;メソッド（その他）</a><br>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="method_regist">Regist</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="18%">
					機能概要

				</td>
				<td>
					取得したライセンス情報を登録し、機能制限を解除します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb" width="15%">
					記述形式

				</td>
				<td>
					lngret = objSmtp.Regist(strUID, strPWD)<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					引数・戻り値
				</td>
				<td>
					strUID [in]:取得したライセンスのユーザID<br>
					strPWD [in]:取得したライセンスのパスワード<br>
					lngret [out]:正常終了時0を返す<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					取得したライセンス情報を登録し、機能制限を解除します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例(VB)
				</td>
				<td>
					lngret = objSmtp.Regist("UID","PWD")<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#method_other">メソッド（その他）へ戻る|</a>
				</td>
			</tr>
		</table>
		<HR>
	</TD>
</TR>
<TR>
	<TD CLASS="normalb">
		<a name="event">6.&nbsp;イベント</a><br>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					<a name="event_oncommandfinish">OnCommandFinish</a><br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td  class="xsmallb" width="18%">
					機能概要

				</td>
				<td>
					非同期でSMTPコマンド系メソッドを実行した場合、メソッドの終了を通知します。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					引数
				</td>
				<td>
					lResult [in]:正常終了時0を返す<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					説明

				</td>
				<td>
					非同期でSMTPコマンド系メソッドを実行した場合、メソッドの終了を通知します。<br>
					lResultにはエラー時はエラーコードが返ります。<br>
				</td>
			</tr>
			<tr>
				<td  class="xsmallb">
					使用例(VB)
				</td>
				<td>
					Private Sub objSmtp_OnCommandFinish(ByVal lResult As Long)<br>
					※詳しくはサンプルをご覧下さい。<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#event">イベントへ戻る|</a>
				</td>
			</tr>
		</table>
		<HR>
	</TD>
</TR>
<TR>
	<TD CLASS="normalb">
		<a name="errcode">7.&nbsp;エラーコード</a><br>
	</TD>
</TR>
<TR>
	<TD>
		<table align="center" WIDTH="85%" class="xsmall">
			<tr>
				<td>
					・各メソッド・イベントから返されるエラーコードとエラーメッセージの一覧です。<br>
				</td>
			</tr>
		</table>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					各メソッド・イベントの返却エラーコード<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td class="xsmallb" width="18%">
					エラーコード

				</td>
				<td class="xsmallb" >
					エラー内容<br>
				</td>
			</tr>
			<tr>
				<td>
					-10000<br>
				</td>
				<td>
					メモリ確保に失敗しました。<br>
				</td>
			</tr>
			<tr>
				<td>
					-10001<br>
				</td>
				<td>
					SMTPサーバからの返却コード切り出しに失敗しました。<br>
				</td>
			</tr>
			<tr>
				<td>
					-20001<br>
				</td>
				<td>
					ソケットの生成に失敗しました。<br>
					※固有のエラーコードはLastErrorプロパティに設定されます。<br>
					※固有のエラーコード内容については、Winsockライブラリのsocket関数のエラーコードを参照して下さい。<br>
				</td>
			</tr>
			<tr>
				<td>
					-20002<br>
				</td>
				<td>
					ホスト名からIPアドレスの取得に失敗しました。<br>
					※固有のエラーコードはLastErrorプロパティに設定されます。<br>
					※固有のエラーコード内容については、Winsockライブラリのgethostbyname関数のエラーコードを参照して下さい。<br>
				</td>
			</tr>
			<tr>
				<td>
					-20003<br>
				</td>
				<td>
					ソケットエラーが発生しました。<br>
					※固有のエラーコードはLastErrorプロパティに設定されます。<br>
					※固有のエラーコード内容については、Winsockライブラリのconnect関数、<br>
					又はselect関数のエラーコードを参照して下さい。<br>
				</td>
			</tr>
			<tr>
				<td>
					-20005<br>
				</td>
				<td>
					SMTPコマンドの送信でエラーが発生しました。<br>
					※固有のエラーコードはLastErrorプロパティに設定されます。<br>
					※固有のエラーコード内容については、Winsockライブラリのsend関数のエラーコードを参照して下さい。<br>
				</td>
			</tr>
			<tr>
				<td>
					-20006<br>
				</td>
				<td>
					SMTPサーバからのメッセージ受信でエラーが発生しました。<br>
					※固有のエラーコードはLastErrorプロパティに設定されます。<br>
					※固有のエラーコード内容については、Winsockライブラリのrecv関数のエラーコードを参照して下さい。<br>
				</td>
			</tr>
			<tr>
				<td>
					-20008<br>
				</td>
				<td>
					SMTPサーバから切断されました。<br>
					※固有のエラーコードはLastErrorプロパティに設定されます。<br>
					※固有のエラーコード内容については、Winsockライブラリのrecv関数のエラーコードを参照して下さい。<br>
				</td>
			</tr>
			<tr>
				<td>
					-20010<br>
				</td>
				<td>
					SMTPサーバとの通信がタイムアウトしました。<br>
				</td>
			</tr>
			<tr>
				<td>
					-20011<br>
				</td>
				<td>
					イベントのウィンドウメッセージで通知設定に失敗しました。（非同期時のみ）<br>
				</td>
			</tr>
			<tr>
				<td>
					-20012<br>
				</td>
				<td>
					ソケットイベントの通知でエラーが発生しました。（非同期時のみ）<br>
					※固有のエラーコードはLastErrorプロパティに設定されます。<br>
					※固有のエラーコード内容については、WinsockライブラリのWSAAsyncSelect関数のエラーコードを参照して下さい。<br>
				</td>
			</tr>
			<tr>
				<td>
					-30001<br>
				</td>
				<td>
					添付ファイルのオープンに失敗しました。<br>
				</td>
			</tr>
			<tr>
				<td>
					-30002<br>
				</td>
				<td>
					ファイルハンドルがこれ以上使用できません。<br>
				</td>
			</tr>
			<tr>
				<td>
					-30003<br>
				</td>
				<td>
					指定した添付ファイルが存在しません。<br>
				</td>
			</tr>
			<tr>
				<td>
					-30004<br>
				</td>
				<td>
					指定した添付ファイルの読み込みに失敗しました。<br>
				</td>
			</tr>
			<tr>
				<td>
					-30005<br>
				</td>
				<td>
					指定した添付ファイルのクローズに失敗しました。<br>
				</td>
			</tr>
			<tr>
				<td>
					-40002<br>
				</td>
				<td>
					指定した内容に不正な文字が存在します。<br>
				</td>
			</tr>
			<tr>
				<td>
					-40003<br>
				</td>
				<td>
					添付ファイルの漢字コードが不明です。<br>
					※添付ファイルのエンコード方法に7BitJISを指定した場合のみ発生します。<br>
				</td>
			</tr>
			<tr>
				<td>
					-60001<br>
				</td>
				<td>
					SMTPサーバがエラーメッセージを返しました。<br>
				</td>
			</tr>
			<tr>
				<td>
					-60002<br>
				</td>
				<td>
					SMTPサーバが想定外のエラーメッセージを返しました。<br>
				</td>
			</tr>
			<tr>
				<td>
					-90001<br>
				</td>
				<td>
					メソッド引数のメールアドレスが指定されていません。<br>
				</td>
			</tr>
			<tr>
				<td>
					-90002<br>
				</td>
				<td>
					メソッド引数の拡張メッセージの内容が指定されていません。<br>
				</td>
			</tr>
			<tr>
				<td>
					-90003<br>
				</td>
				<td>
					ユーザ名・パスワードが不正です。<br>
				</td>
			</tr>
			<tr>
				<td>
					-90004<br>
				</td>
				<td>
					レジストリ登録に失敗しました。<br>
				</td>
			</tr>
			<tr>
				<td>
					-90005<br>
				</td>
				<td>
					機能制限により、機能を使用できません。<br>
				</td>
			</tr>
			<tr>
				<td>
					-90006<br>
				</td>
				<td>
					レジスト情報の取得に失敗しました。<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#errcode">エラーコードへ戻る|</a>
				</td>
			</tr>
		</table>
		<HR>
	</TD>
</TR>
<TR>
	<TD CLASS="normalb">
		<a name="smtpmsg">8.&nbsp; SMTP応答コード</a><br>
		<table align="center" WIDTH="85%" class="xsmall">
			<tr>
				<td>
					・AS-SMTP内部で認識しているSMTP応答コードと日本語メッセージの一覧です。<br>
					・実際のサーバの応答メッセージ内容は実装によります。このメッセージとは必ずしも合致しません。<br>
					&nbsp;&nbsp;※実際のサーバからの応答メッセージはSMTP_RecvMsgプロパティに設定されます。

					・SMTP応答コードははSMTPコマンド系メソッド終了時にSMTP_RecvCodeプロパティに設定されます。<br>
					・このメッセージはSMTPコマンド系メソッド終了時にSMTP_RecvMsgNプロパティに設定されます。<br>
					・各メソッドでどのようなSMTP応答コードが返るかは各メソッドのSMTP応答コードを参照して下さい。<br>
				</td>
			</tr>
		</table>
	</TD>
</TR>
<TR>
	<TD>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					SMTP応答コードと管理日本語メッセージ（正常系）<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td class="xsmallb" width="22%">
					SMTP応答コード<br>
				</td>
				<td class="xsmallb" >
					管理日本語メッセージ<br>
				</td>
			</tr>
			<tr>
				<td>
					211<br>
				</td>
				<td>
					システムまたはヘルプの応答です。<br>
				</td>
			</tr>
			<tr>
				<td>
					214<br>
				</td>
				<td>
					ヘルプメッセージです。<br>
				</td>
			</tr>
			<tr>
				<td>
					220<br>
				</td>
				<td>
					サービスの準備ができました。<br>
				</td>
			</tr>
			<tr>
				<td>
					221<br>
				</td>
				<td>
					通信チャネルを閉じます。<br>
				</td>
			</tr>
			<tr>
				<td>
					235<br>
				</td>
				<td>
					認証に成功しました。<br>
				</td>
			</tr>
			<tr>
				<td>
					250<br>
				</td>
				<td>
					コマンドは正常終了しました。<br>
				</td>
			</tr>
			<tr>
				<td>
					251<br>
				</td>
				<td>
					ユーザがローカルでないので転送されます。<br>
				</td>
			</tr>
			<tr>
				<td>
					252<br>
				</td>
				<td>
					VRFYできないが配信を試みます。<br>
				</td>
			</tr>
			<tr>
				<td>
					334<br>
				</td>
				<td>
					認証モードに入りました。<br>
				</td>
			</tr>
			<tr>
				<td>
					354<br>
				</td>
				<td>
					メール入力を開始してください。<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#smtpmsg">SMTP応答コードへ戻る|</a>
				</td>
			</tr>
		</table>
		<br>
		<table align="center" WIDTH="85%" class="xsmall" bgcolor="#B6C5EE">
			<tr>
				<td  class="xsmallb">
					SMTP応答コードと管理日本語メッセージ（エラー系）<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" frame="box" rules="all" class="xsmall" >
			<tr>
				<td class="xsmallb" width="22%">
					SMTP応答コード<br>
				</td>
				<td class="xsmallb" >
					管理日本語メッセージ<br>
				</td>
			</tr>
			<tr>
				<td>
					421<br>
				</td>
				<td>
					サービスが利用可能でないので、チャネルを閉じます。<br>
				</td>
			</tr>
			<tr>
				<td>
					432<br>
				</td>
				<td>
					パスワードの変更が必要です。<br>
				</td>
			</tr>
			<tr>
				<td>
					450<br>
				</td>
				<td>
					メールボックスが利用不可のため要求受付できません。（ビジーなど）<br>
				</td>
			</tr>
			<tr>
				<td>
					451<br>
				</td>
				<td>
					コマンドは中止されました。<br>
				</td>
			</tr>
			<tr>
				<td>
					452<br>
				</td>
				<td>
					システムのストレージが足りないため、要求受付できません。<br>
				</td>
			</tr>
			<tr>
				<td>
					454<br>
				</td>
				<td>
					サーバ側の一時的な失敗です。<br>
				</td>
			</tr>
			<tr>
				<td>
					500<br>
				</td>
				<td>
					構文エラーです。<br>
				</td>
			</tr>
			<tr>
				<td>
					501<br>
				</td>
				<td>
					パラメータ・引数の構文エラーです。<br>
				</td>
			</tr>
			<tr>
				<td>
					502<br>
				</td>
				<td>
					コマンドが実装されていません。<br>
				</td>
			</tr>
			<tr>
				<td>
					503<br>
				</td>
				<td>
					コマンドの並びが間違っています。<br>
				</td>
			</tr>
			<tr>
				<td>
					504<br>
				</td>
				<td>
					コマンドパラメータが実装されていません。<br>
				</td>
			</tr>
			<tr>
				<td>
					530<br>
				</td>
				<td>
					コマンドの実行には認証が必要です。<br>
				</td>
			</tr>
			<tr>
				<td>
					534<br>
				</td>
				<td>
					認証システムが弱すぎます。<br>
				</td>
			</tr>
			<tr>
				<td>
					535<br>
				</td>
				<td>
					認証が拒否されました。<br>
				</td>
			</tr>
			<tr>
				<td>
					538<br>
				</td>
				<td>
					暗号化が必要です。<br>
				</td>
			</tr>
			<tr>
				<td>
					550<br>
				</td>
				<td>
					メールボックスが利用不可のため要求受付できません。（コマンド拒否など）<br>
				</td>
			</tr>
			<tr>
				<td>
					551<br>
				</td>
				<td>
					ユーザがローカルでないので転送リトライが必要です。<br>
				</td>
			</tr>
			<tr>
				<td>
					552<br>
				</td>
				<td>
					コマンドは中止されました。（ストレージの割当を超過した）<br>
				</td>
			</tr>
			<tr>
				<td>
					553<br>
				</td>
				<td>
					要求受付できません。（メールボックス名が正しくないなど）<br>
				</td>
			</tr>
			<tr>
				<td>
					554<br>
				</td>
				<td>
					トランザクションが失敗しました。またはSMTPサービスがありません。<br>
				</td>
			</tr>
		</table>
		<table align="center" WIDTH="85%" class="xsmall" >
			<tr>
				<td align="right">
					<a href="#top">|ページtopへ戻る|</a>
					<a href="#smtpmsg">SMTP応答コードへ戻る|</a>
				</td>
			</tr>
		</table>
		<HR>
	</TD>
</TR>
</TABLE>
<br>
