<?php
//////////////////////////////////////////////////////////////////////
// htfコントローラ
//////////////////////////////////////////////////////////////////////

	/**
	 * ファイルインクルード

	 * ※個別に作成したタグ生成関数等を使用する場合は、

	 *   インクルードパスに配置して、ここでインクルードする。

	 *   (ex:orgtag.phlをインクルード)
	 *   require_once("orgtag.phl")
	 **/
	require_once("htf_frame.phl");			//htfフレームクラス
	require_once("htf_dat_menu.phl");		//htfメニュークラス
	require_once("htf_tlb_topicpath.phl");	//htfトピックパス生成クラス

	/**
	 * htfオブジェクトの生成
	 **/
	$htf = new htf_frame();
	
	/**
	 * htfオブジェクトのプロパティ設定を変更
	 * (ex:HPタイトルの修正）

	 *  $htf->frameconfig->headconfig->title = 'This Page's Title.';
	 * (ex:適用するコンテンツファイルの修正）

	 *  $htf->frameconfig->->bodyconfig->pageconfig->contentarea->includefile = 'thisfile.inc';
	 **/
	//タイトル修正
	$htf->frameconfig->headconfig->title = 'ASPソフトウェア・HtmlTemplateFramework(HTF)リリースノート';
	//トピックパス設定

	$sitemap = new htf_dat_menu('sitemap.xml');
	$topicpath = new htf_tlb_topicpath($sitemap);
	$topicpathstr = $topicpath->get_topicpath_by_id('120');
	$htf->frameconfig->bodyconfig->pageconfig->indexbar->text = $topicpathstr;

	/**
	 * HTMLタグの生成・出力

	 **/
	$htf->print_htmltag();


?>
