/* $Id: trigger.js,v 1.8 2006/07/06 19:56:36 krusch Exp $
Survey trigger for IBM online survey
ﾂｩ Copyright International Business Machines Corporation 2005, 2006. All rights reserved.

Author: Corporate Webmaster/New York/IBM (NUS_N_NIWWW)
*/

var ibmSurveyListeningpostCookie = 'ibmSurvey';       // cookie name
var ibmSurveyListeningpostEnabled = true;             // surveys active
var SA_FLASH_URL;

// Load cookie library
if (typeof ibmCommonCookie == 'undefined') {
  document.write('<scr', 'ipt type="text/javascript" language="JavaScript1.2" src="' + ibmSurveyListeningpostServer() + '/common/cookie/cookie.js"></scr', 'ipt>');
}

function ibmSurveyListeningpostServer() {
	var server = '//www.ibm.com';
    if ((typeof staging != 'undefined') && (staging == 'yes')){
	    server = '//wwwstage.ibm.com';
    }
	return server;
} // ibmSurveyListeningpostServer()

//returns "ibm" if hostname is in the ibm.com domain or "remote" if otherwise valid
//returns false otherwise
function ibmSurveyListeningpostIsValidHost(hostname){
	if( hostname == null ){
		return false;
	}

	hostname = hostname.toLowerCase();
	if( hostname.match(/ibm\.com(\.)?$/) ){
		return "ibm";
	} else if (hostname.match(/(localhost|lotus\.com)(\.)?$/)) {
	    return "remote";
	}

	return false;
} // ibmSurveyListeningpostIsValidHost()


function ibmSurveyListeningpostIsEligible(){
	var timeout = 60;           // test cookie ttl in seconds
    var delay = 2 * 60;         // delay in seconds
	var maxCookies = 17;        // ignore users that have more than this many cookies
	var now = new Date();       // current timestamp

	if (!ibmSurveyListeningpostEnabled)	{
		return false;
	}

	if (typeof ibmCommonCookie == 'undefined') {
		return false;           // cookie library did not load
	}
	var c = new ibmCommonCookie();

	// RSC requirement #03902
	if( navigator.userAgent.indexOf("Lotus-Notes") != -1 ){
		return false;
	}

   // Flash module restricted to MSIE on Windows
   // TODO: Update detection once Flash module becomes available for other platforms
	if ((navigator.platform != 'Win32') ||
        (navigator.userAgent.indexOf('Opera') != -1) ||
		(typeof(document.getElementById) == 'undefined')) {
		return false;
	}

   if ((navigator.userAgent.indexOf('MSIE') == -1) &&
	   (navigator.userAgent.indexOf('Gecko') == -1)) {
	   return false;
   }

    // Restrict number of cookies
	if (typeof(document.cookie) == 'string' && document.cookie && document.cookie.split) {
		if ((document.cookie.split('; ')).length > maxCookies) {
			return false;   // max cookies reached
		}
	}

    // Verify that delay seconds have passed already
	var timer = c.getCookie(ibmSurveyListeningpostCookie);

	if (timer &&
		timer == parseInt(timer) &&
		now.getTime().toString() > 1000 * delay + parseInt(timer)){
		return true;
	}
	else {
		return false;
	}
} //isEligible


function ibmSurveyListeningpostTrigger(options) {
	var cgi = '/fscripts/survey/listeningpost/invite.fcgi';

	var remote = '/common/survey/listeningpost/popup-remote.html';
	var hostname = window.location.hostname;

	var type = ibmSurveyListeningpostIsValidHost(hostname.toString());
	var myhref;
	var params;

    // Remote surveys currently disabled
	if (type == "remote") {
		return false;
	}

	if( (type != "ibm") && (type != "remote") ){
		return false;
	}

	if( ibmSurveyListeningpostIsEligible() ){
		if( (typeof(remotehref) != "undefined") && (remotehref != null) ){
			myhref = remotehref; //if we're coming in from the iframe
		} else {
			myhref = window.location.href;
		}

		if( (typeof(myhref) != "undefined") && (myhref != null) ){
			// From protocol//host:port/pathname#anchor?parameter(s)
			// OR protocol//host:port/pathname?parameter(s)#anchor
			// To host:port/pathname?ibmSurveyListeningpostOptions=value&parameter(s)
			myhref = unescape(myhref);
			var urlBits = myhref.split("?");

			for( i in urlBits ){
				if( urlBits[i] ){
					var pos = urlBits[i].indexOf("#");
					if( pos >= 0 ){
						urlBits[i] = urlBits[i].substr(0,pos);
					}
				}
			}

			myhref = urlBits[0] + "?";
			if( (typeof(ibmSurveyListeningpostOptions) != "undefined") && (ibmSurveyListeningpostOptions != null)){
				myhref += "ibmSurveyListeningpostOptions=" + ibmSurveyListeningpostOptions + "&";
			}
			if( urlBits[1] ){
				myhref += urlBits[1];
			}
		}

		// Build params list (if we have any)
		// often: country language version module rate referer
		// Allows us to override parameters in cgi trigger so we're backwards compatible with old "popup.js" trigger. Also useful if we want to test a survey whose rate is set to zero

  	    var c = new ibmCommonCookie();
		params = "?timer=" + parseInt(c.getCookie(ibmSurveyListeningpostCookie));  // entrance timer parameter currently ignored by CGI

        // Process overriding options
		if(typeof(options) == "object") {
			if( (typeof(options.cc)   != "undefined") && (options.cc != null))   { params += '&cc='   + escape(options.cc); }
			if( (typeof(options.lc)   != "undefined") && (options.lc != null))   { params += '&cc='   + escape(options.lc); }
			if( (typeof(options.rate) != "undefined") && (options.rate != null)) { params += '&rate=' + escape(parseFloat(options.rate)); }
	    } // if options specified

        if ((typeof staging != 'undefined') && (staging == 'yes')){
            params += '&staging=yes';
	    }

		if( type == "ibm" ){
			if( (typeof(myhref)   != "undefined") && (myhref     != null) ){
				params += '&myhref=' + escape(myhref);
			}

			cgi = ibmSurveyListeningpostServer() + cgi + params;

			// Override Flash tracking only if not used on the page yet
			if (typeof SA_FLASH_URL == 'undefined') {
				SA_FLASH_URL = 'http:' + ibmSurveyListeningpostServer() + "/survey/listeningpost/questionnaire.swf";
			}

			if (typeof FlashObject == "undefined") {
			    document.write('<scr', 'ipt src="//www.ibm.com/common/js/flash-detect.js" type="text/javascript" language="JavaScript1.5"></scr', 'ipt>');
		    }
			if (typeof sa_flash == "undefined") {
			    document.write('<scr', 'ipt src="//www.ibm.com/common/stats/sacdcflash2.js" type="text/javascript" language="JavaScript1.5"></scr', 'ipt>');
		    }
			document.write('<scr', 'ipt src="'
				, cgi
				, '" type="text/javascript" language="JavaScript1.5"></scr', 'ipt>');
			return true;

		} else if( type == "remote" ){
			//note different name of param
			if( (typeof(myhref)   != "undefined") && (myhref     != null) ){
				params += '&remotehref=' + escape(myhref);
			}
			remote = ibmSurveyListeningpostServer() + remote + params;
			document.write('<if', 'rame name="surveyframe" id="surveyframe" src="' +remote+ '"',
				'remote="yes" width="150" height="20" frameborder="0" scrolling="no" style="overflow: hidden;"></if', 'rame>'
				);
			return false; //since we want this script to stop now
		}
	} //if (ibmSurveyListeningpostIsEligible())
	return false;
} // ibmSurveyListeningpostTrigger(options)